summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michales Michaloudes <korgie@gmail.com>2011-07-10 13:26:14 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-07-14 19:51:00 -0300
commitab940228988d548140ccd2454571a7cab0099372 (patch)
treee18d69bcc65d3d9ac1fa52cdd7bf30d8fc508caa
parent35a5368e8451ee8228a10c96b5633373affd1015 (diff)
downloadslackbuilds-ab940228988d548140ccd2454571a7cab0099372.tar.gz
slackbuilds-ab940228988d548140ccd2454571a7cab0099372.tar.xz
audio/dssi-vst: Added (VST wrapper plugin)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--audio/dssi-vst/README10
-rw-r--r--audio/dssi-vst/dssi-vst.SlackBuild117
-rw-r--r--audio/dssi-vst/dssi-vst.info10
-rw-r--r--audio/dssi-vst/slack-desc19
4 files changed, 156 insertions, 0 deletions
diff --git a/audio/dssi-vst/README b/audio/dssi-vst/README
new file mode 100644
index 0000000000..1da5b93c23
--- /dev/null
+++ b/audio/dssi-vst/README
@@ -0,0 +1,10 @@
+The dssi-vst package contains a wrapper plugin for Windows VSTs that
+enables them to be used by DSSI hosts running on Linux or similar on i386,
+using Wine.
+
+dssi-vst was written by Chris Cannam.
+
+VST's dll must installed in /usr/lib/vst. You can override this with
+variable VST_PATH in your ~/.profile
+
+Requires: ladspa_sdk, dssi, jack, wine, liblo
diff --git a/audio/dssi-vst/dssi-vst.SlackBuild b/audio/dssi-vst/dssi-vst.SlackBuild
new file mode 100644
index 0000000000..3897dc0408
--- /dev/null
+++ b/audio/dssi-vst/dssi-vst.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/sh
+# Slackware build script for <dssi-vst>
+# Written by Michales Michaloudes korgie@gmail.com
+
+PRGNAM=dssi-vst
+VERSION=${VERSION:-0.9.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# VSTSDK can be 2.3 or 2.4 version.
+VSTFOLDER=$(ls -d $CWD/vstsdk2.? | tail -1)
+VSTVERSION=$(echo $VSTFOLDER | gawk -F'sdk' ' { print $2 } ')
+
+# VST support from Steinberg or from Vestige header?
+if [ ! "$VSTFOLDER" == "" ]; then
+ echo "-- VST support with Steinberg headers. --"
+ sed '/vestige/d' -i Makefile
+ sed 's/#CXXFLAGS/CXXFLAGS/' -i Makefile
+ ln -s $VSTFOLDER ./
+ TAG="${TAG}_VST${VSTVERSION}"
+else
+ echo "-- VST support enabled with Vestige header. --"
+fi
+
+# remove /usr/local
+sed -i 's+/usr/local/+/usr/+' Makefile
+
+# Use our SLKCFLAGS
+sed -i "/^CXXFLAGS/s/=/+=/" Makefile
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ make
+
+#copy files, procedure from Makefile
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/dssi/dssi-vst
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/ladspa
+mkdir -p $PKG/usr/bin
+
+cd $TMP/$PRGNAM-$VERSION
+install dssi-vst.so $PKG/usr/lib${LIBDIRSUFFIX}/ladspa/
+install dssi-vst.so $PKG/usr/lib${LIBDIRSUFFIX}/dssi/
+install dssi-vst-server.exe.so dssi-vst-scanner.exe.so dssi-vst_gui $PKG/usr/lib${LIBDIRSUFFIX}/dssi/dssi-vst/
+
+# for some reason filenames are wrong here (with .exe), corrected.
+install dssi-vst-scanner.exe $PKG/usr/lib${LIBDIRSUFFIX}/dssi/dssi-vst/dssi-vst-scanner
+install dssi-vst-server.exe $PKG/usr/lib${LIBDIRSUFFIX}/dssi/dssi-vst/dssi-vst-server
+install vsthost $PKG/usr/bin/
+
+mkdir -p $PKG/etc/profile.d/
+cat << EOF > $PKG/etc/profile.d/vst.csh
+#!/bin/csh
+setenv VST_PATH /usr/lib${LIBDIRSUFFIX}/vst
+EOF
+cat << EOF > $PKG/etc/profile.d/vst.sh
+#!/bin/sh
+export VST_PATH=/usr/lib${LIBDIRSUFFIX}/vst
+EOF
+chmod 0755 $PKG/etc/profile.d/*
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION/
+cp -a \
+ COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp $CWD/$PRGNAM.SlackBuild $PKG/usr/doc/$PRGNAM-$VERSION/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/dssi-vst/dssi-vst.info b/audio/dssi-vst/dssi-vst.info
new file mode 100644
index 0000000000..cf4720b0b1
--- /dev/null
+++ b/audio/dssi-vst/dssi-vst.info
@@ -0,0 +1,10 @@
+PRGNAM="dssi-vst"
+VERSION="0.9.2"
+HOMEPAGE="http://www.breakfastquay.com/dssi-vst/"
+DOWNLOAD="http://code.breakfastquay.com/attachments/download/10/dssi-vst-0.9.2.tar.bz2"
+MD5SUM="5c569200571de76dac18be4eb6fbd9c8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie@gmail.com"
+APPROVED="Niels Horn"
diff --git a/audio/dssi-vst/slack-desc b/audio/dssi-vst/slack-desc
new file mode 100644
index 0000000000..fe01f3d0b5
--- /dev/null
+++ b/audio/dssi-vst/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+dssi-vst: dssi-vst (VST wrapper plugin)
+dssi-vst:
+dssi-vst: The dssi-vst package contains a wrapper plugin for Windows VSTs that
+dssi-vst: enables them to be used by DSSI hosts running on Linux or similar on
+dssi-vst: i386, using Wine. dssi-vst was written by Chris Cannam.
+dssi-vst:
+dssi-vst:
+dssi-vst:
+dssi-vst:
+dssi-vst:
+dssi-vst: